## Overview
In this [flow zone](flow_zone:n1PfFMB), there are 3 main branches: 
- Computation of the overall defect rate per machine (top branch on the screenshot)
- Resampling of the historical data (middle branch on the screenshot)
- Computation of the defects and number of injections per day (bottom branch on the screenshot)
<br>
![flow_zone_data_preparation.png](E4IbkFXYP2ld)

As a starting point, process-data is joined with quality on the InjectionID, to create the [Process_data_joined_quality ](dataset:Process_data_joined_quality)dataset.  This dataset contains several charts used in the dashboards.
<br>

## Computation of the overall defect rate per machine
This is a metric used in the [web app](article:6) to display the defect rate per machine.
To reach this, I started with a group by Press and defect, to have the number of good and bad parts for each machine. Then, I pivoted the dataset and finally compute the total production and defect rate.
<br>

## Resampling of the historical data
We start by splitting data between new and historical, according to the date, as we want to train the model on all data before 2022/01/01.

We perform resampling of the data in order to have a better balancing between defects modalities. This allows the trained models to have better performances. You can find more information in the [defect prediction](article:12) section

This dataset is the one used to train the models in the [defect prediction zone](article:12).
<br>

## Computation of the defects and number of injections per day
This dataset is used in the [web app](article:6) to display the daily production rate for the last 7 days.
It's composed of 2 steps: First, a prepare recipe that computes the time difference between the DateTime column and now. Then, we group by day to get the number of injections per day and the number of defects per day.
<br>

