## Overview
The [Last 24h data](flow_zone:QDyGNgm) is dedicated to last day data: 
![flow_zone_last_24h.png](0UzWvC2ntWKc)
When running a project live, it's handy to have a flow zone handling a few data to get faster data updates and scoring. 

Then, we start by filtering the joined data and there are 3 branches from there: 
- Computation of the average Injection Time, Pressure, and Temperature for the last 24h
- Computation of the defect_rate per machine for the last 24h
- Scoring of the last 24h data using the model previously trained


## Computation of the average Injection Time, Pressure, and Temperature for the last 24h
![top_branch.png](aCG1cEBMTfvm)
These are metrics used in the [web app](article:6) to display 24h average measurements.
We are using a python recipe that computes the average per hour of the 3 most influencing factors, from the deployed model. It has been done in python to have the 3 factors updated when the model is retrained with the scenario. Then, we use a Group recipe to compute the 24h average.

## Computation of the defect_rate per machine for the last 24h
![middle_branch.png](oQFfhbkYc02P)
This metric is also used in the [web app](article:6) to display a 24h defect rate.
We are using a Group recipe and a Prepare recipe to compute it.

 ## Scoring of the last 24h data using the model previously trained
 ![bottom_branch.png](ZYD0yegJf05k)
This metric is also used in the [web app](article:6) to display the most influencing factors. The Prepare recipe unnests explanations and computes absolute values. Scoring on a few data allows us to do it very quickly.


